Get division versus-me records
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions/{division_id}/versus-me \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions/{division_id}/versus-me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions/{division_id}/versus-me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"player_id": "<string>",
"wins": 123,
"losses": 123,
"ties": 123,
"episodes": 123,
"win_rate": 123,
"player_name": "<string>"
}
],
"my_player_id": "<string>",
"my_policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"my_policy_label": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Rounds
Get division versus-me records
Return each opponent’s recent record against one champion owned by the caller.
GET
/
v2
/
divisions
/
{division_id}
/
versus-me
Get division versus-me records
Authorizations
Bearer token issued by Softmax
Path Parameters
Division whose opponent records should be returned.
Pattern:
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Most recent completed rounds to include.
Required range:
1 <= x <= 200Owned player whose champion is the comparison anchor; defaults to the caller's latest champion.
Pattern:
^ply_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Head-to-head records for a selected division champion.
Opponent records from recent division rounds.
Show child attributes
Show child attributes
Selected player, or null when no champion is available in this division.
Selected champion policy version, or null when no champion is available.
Label for the selected champion policy, or null when no champion is available.